<?php
class Correo
{
    // Declaración de una propiedad
    // public $var = 'un valor predeterminado';

    public function enviaCorreo($emails, $tipoDocumento, $numeroAutorizacion, $cliente, $numeroDocumento){
        $correo = $emails;

        $message = $this->obtenerMensajeCorreo($cliente, $tipoDocumento, $numeroDocumento);
        $filename= $numeroAutorizacion.".pdf";
        $filelocation = __DIR__."\\files\\ride";//windows
        $fileRide = $filelocation."\\".$filename;//Windows

        $filenameXml= $numeroAutorizacion.".xml";
        $filelocationXml = __DIR__."\\files\\autorizados";//windows
        $fileXml = $filelocationXml."\\".$filenameXml;//Windows

        $mail = new PHPMailer(true);  
		$mail->IsSMTP();								//Sets Mailer to send message using SMTP
		$mail->CharSet = 'UTF-8';
		$mail->Host = 'smtp.gmail.com';
		$mail->Port = '465';								//Sets the default SMTP server port
		$mail->SMTPAuth = true;							//Sets SMTP authentication.
		$mail->Username = 'facturacion@loversoft.com.ec';					//Sets SMTP username
		$mail->Password = 'Lover2023';					//Sets SMTP password
		$mail->SMTPSecure = 'ssl';							//Sets connection prefix. Options are "", "ssl" or "tls"
		$mail->From = 'facturacion@loversoft.com.ec';					//Sets the From email address for the message
		$mail->FromName = 'ORIL Doc Electr';			  
		$mail->AddAddress($correo);		//Adds a "To" address
		$mail->WordWrap = 50;
		$mail->IsHTML(true);							//Sets message type to HTML
		$mail->AddAttachment($fileRide);					//Adds an attachment from a path on the filesystem
		$mail->AddAttachment($fileXml);					//Adds an attachment from a path on the filesystem
		$mail->Subject = 'Documento Electrónico';				//Sets the Subject of the message
		$mail->Body = $message;


        if($mail->Send())	{
      		$message = '<div class="alert alert-success">Correo enviado correctamente</div>';
         // echo 'Correo Enviado!';
      	} else {
      		$message = '<div class="alert alert-danger">Hubo un error al procesar envio</div>';
      		echo 'Mailer Error: ' . $mail->ErrorInfo;
    	}
    }

    public function obtenerMensajeCorreo($cliente, $tipoDocumento, $numeroDocumento){
      switch ($tipoDocumento) {
          case 'FACTURA':
            $documento = 'FACTURA';
              break;
          case 'NOTA CREDITO':
            $documento = 'NOTA DE CRÉDITO';
              break;
          case 'GUIA':
            $documento = 'GUÍA DE REMISIÓN';
              break;
          case 'RETENCION':
            $documento = 'RETENCIÓN';
              break;
             case '03':
    		$documento = 'LIQUIDACION COMPRA';
    		  break;
            default:
              // code...
            break;
      }

      $msg = "<!DOCTYPE html>
              <html lang='es'>
              <head>
                  <meta charset='UTF-8'>
              </head>
              <body>
              <div style='margin: 0 auto; background-color: white; width:800px; overflow-y:auto;'>
                  <h4>Estimado(a) cliente  " . $cliente . " </h4>
                  <hr>
                  <p>
                      <strong>Nos complace informarle que su documento electrónico ha sido generado con el siguiente detalle:</strong>
                      <br/>
                      <br/>
                      <strong>Tipo de documento: </strong>". $documento ."
                      <br/>
                      <strong>Documento electrónico No: </strong>" . $numeroDocumento . "
                      <br/>
                      <br/>
                      <strong>Adjunto encontrará su documento electrónico.</strong>
                      <br/>
                  </p>
                  <br>

              </div>
          </body>
       </html>";
      return $msg;
    }

}
?>
